
#ifndef _PINKLEMON_HEADERS_H_
#define _PINKLEMON_HEADERS_H_

// include the JUCE headers..
#include "../juce/juce.h"
//#include "../resources/Resources.h"

// include main components
#include "Dialog.h"
#include "Window.h"
//#include "Popol.hpp"

//==============================================================================
class PinkLemon : public JUCEApplication
{
    Window* theMainWindow;
	Dialog* theMainDialog;

public:
    //==============================================================================
    PinkLemon()
        : theMainWindow (0), theMainDialog(0)
    {
        // avoid doing anything complicated in here - use initialise() instead.
    }

    ~PinkLemon()
    {
        // avoid doing anything complicated in here - use shutdown() instead.
    }

    //==============================================================================
    void initialise (const String& commandLine)
    {
		SplashScreen* splash = new SplashScreen();

		splash->show (T("PinkLemon v0.9 - By Cyril Russo"),
			ImageCache::getFromFile (File (File::getCurrentWorkingDirectory().getFullPathName() + "\\" + "PinkLemon.jpg")),
			4000);

		// just create the main window...
//		Popol * popol = new Popol(); 
		theMainDialog = new Dialog();

        /*  on return from this method, the app will go into its the main event 
            dispatch loop, and this will run until something calls 
            JUCEAppliction::quit().

            In this case, JUCEAppliction::quit() will be called by the 
            demo window when the user closes it.
        */
    }

	void showMainWindow(const String & name, const String & password, const String & protocolName, const String & skinName)
	{
	}

    void shutdown()
    {
        // clear up globally allocated stuff.. (in this case, none)

    }

    //==============================================================================
    const String getApplicationName()
    {
        return T("PinkLemon");
    }

    const String getApplicationVersion()
    {
        return T("1.0");
    }
    
    bool moreThanOneInstanceAllowed()
    {
        return true; //xxx make false for release
    }

    void anotherInstanceStarted (const String& commandLine)
    {
        // (not interested in this)..
    }
};


#endif
